Bug 1171337 - [RFE] Locations should support a description field
Summary: [RFE] Locations should support a description field
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.0.6
Hardware: All
OS: Linux
medium
low vote
Target Milestone: Unspecified
Assignee: orabin
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-05 22:25 UTC by Chris Roberts
Modified: 2019-07-11 08:26 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 13:57:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
location (47.66 KB, image/png)
2015-04-30 08:34 UTC, Tazim Kolhar
no flags Details
organization (52.36 KB, image/png)
2015-04-30 08:35 UTC, Tazim Kolhar
no flags Details

Comment 1 RHEL Program Management 2014-12-05 22:44:38 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Bryan Kearney 2014-12-17 16:50:38 UTC
Created redmine issue http://projects.theforeman.org/issues/8742 from this bug

Comment 4 Bryan Kearney 2014-12-18 23:39:15 UTC
Connecting redmine issue http://projects.theforeman.org/issues/8764 from this bug

Comment 6 Bryan Kearney 2014-12-24 13:04:48 UTC
Upstream bug assigned to orabin

Comment 7 Bryan Kearney 2015-01-13 15:04:56 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/8764 has been closed
-------------
Ori Rabin
Applied in changeset commit:581d3b6b36f5f4ec1251ae4ebbf4964843d2d3bb.

Comment 8 Mike McCune 2015-02-23 22:33:23 UTC
proposing for 6.1.0

Comment 10 Tazim Kolhar 2015-04-27 09:47:20 UTC
hi

please provide verification steps

thanks

Comment 11 orabin 2015-04-29 09:15:48 UTC
1. add new location, fill in description
2. see the location with the description in the locations page
3. try to search by description
4. edit the location, change description and save
5. go to locations page and see new description

do the same for organizations since the changes to fix this affected both.

Comment 12 Tazim Kolhar 2015-04-30 08:34:14 UTC
VERIFIED:
# rpm -qa | grep foreman
ruby193-rubygem-foreman_docker-1.2.0.10-1.el6_6sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el6_6sat.noarch
foreman-debug-1.7.2.18-1.el6_6sat.noarch
foreman-vmware-1.7.2.18-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.6-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.8-1.el6_6sat.noarch
puppet-foreman_scap_client-0.3.3-8.el6_6sat.noarch
foreman-1.7.2.18-1.el6_6sat.noarch
foreman-libvirt-1.7.2.18-1.el6_6sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6_6sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.12-1.el6_6sat.noarch
rubygem-hammer_cli_foreman-0.1.4.10-1.el6_6sat.noarch
foreman-postgresql-1.7.2.18-1.el6_6sat.noarch
foreman-selinux-1.7.2.13-1.el6_6sat.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-proxy-1.0-2.noarch
foreman-compute-1.7.2.18-1.el6_6sat.noarch
foreman-gce-1.7.2.18-1.el6_6sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.12-1.el6_6sat.noarch
foreman-proxy-1.7.2.4-1.el6_6sat.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-ovirt-1.7.2.18-1.el6_6sat.noarch
ruby193-rubygem-foreman-redhat_access-0.1.0-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.4-1.el6_6sat.noarch
ruby193-rubygem-foreman-tasks-0.6.12.4-1.el6_6sat.noarch

1. add new location, fill in description
2. see the location with the description in the locations page
3. try to search by description
4. edit the location, change description and save
5. go to locations page and see new description

do the same for organizations since the changes to fix this affected both.

screenshots attached

Comment 13 Tazim Kolhar 2015-04-30 08:34:48 UTC
Created attachment 1020441 [details]
location

Comment 14 Tazim Kolhar 2015-04-30 08:35:16 UTC
Created attachment 1020442 [details]
organization

Comment 15 Bryan Kearney 2015-08-11 13:31:35 UTC
This bug is slated to be released with Satellite 6.1.

Comment 16 Bryan Kearney 2015-08-12 13:57:27 UTC
This bug was fixed in version 6.1.1 of Satellite which was released on 12 August, 2015.


Note You need to log in before you can comment on or make changes to this bug.